/* $Header:getline.c 12.0$ */
/* $ACIS:getline.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/learn/C/RCS/getline.c,v $ */

#ifndef lint
static char *rcsid = "$Header:getline.c 12.0$";
#endif

#include <stdio.h>

getline(s, lim)	/* get line into s, return length */
char s[];
int lim;
{
	int c, i;

	i = 0;
	while (--lim > 0 && (c=getchar()) != EOF && c != '\n')
		s[i++] = c;
	if (c == '\n')
		s[i++] = c;
	s[i] = '\0';
	return(i);
}
